> ## Documentation Index
> Fetch the complete documentation index at: https://nusabase-a8dcf793.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Video

> OpenAI Sora-compatible video generation API. Supports text-to-video and image-to-video (pass a reference image via the input_reference parameter). Reference: https://platform.openai.com/docs/api-reference/videos/create



## OpenAPI

````yaml /en/openapi/relay-api.mintlify.json post /v1/videos
openapi: 3.0.1
info:
  title: AI Relay API
  description: >-
    Unified AI Model API supporting OpenAI, Claude, Gemini, Kling, Jimeng and
    other formats
  version: 1.0.0
  license:
    name: Proprietary
    url: https://example.com/license
servers:
  - url: https://api.nusabasedigital.com
    description: API Base URL
security:
  - BearerAuth: []
tags:
  - name: Models
    description: Models endpoints
  - name: Chat
    description: Chat endpoints
  - name: Responses
    description: Responses endpoints
  - name: Realtime
    description: Realtime endpoints
  - name: Claude
    description: Claude endpoints
  - name: Gemini
    description: Gemini endpoints
  - name: Images
    description: Images endpoints
  - name: Video
    description: Video endpoints
  - name: Video / Kling
    description: Video / Kling endpoints
  - name: Video / Jimeng
    description: Video / Jimeng endpoints
  - name: Audio
    description: Audio endpoints
  - name: Embeddings
    description: Embeddings endpoints
  - name: Rerank
    description: Rerank endpoints
  - name: Moderations
    description: Moderations endpoints
  - name: Not Implemented
    description: Not Implemented endpoints
paths:
  /v1/videos:
    post:
      tags:
        - Video
      summary: Create Video
      description: >-
        OpenAI Sora-compatible video generation API. Supports text-to-video and
        image-to-video (pass a reference image via the input_reference
        parameter). Reference:
        https://platform.openai.com/docs/api-reference/videos/create
      operationId: post_v1_videos
      parameters: []
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                model:
                  description: Model name
                  type: string
                prompt:
                  description: Prompt
                  type: string
                seconds:
                  description: Generation duration in seconds
                  type: string
                input_reference:
                  format: binary
                  type: string
                  description: Reference image file
      responses:
        '200':
          description: Video task created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Video ID
                  object:
                    type: string
                    description: Object type
                  model:
                    type: string
                    description: Model used
                  status:
                    type: string
                    description: Task status
                  progress:
                    type: integer
                    description: Progress percentage
                  created_at:
                    type: integer
                    description: Creation timestamp
                  seconds:
                    type: string
                    description: Video duration
                  completed_at:
                    type: integer
                    description: Completion timestamp
                  expires_at:
                    type: integer
                    description: Expiration timestamp
                  size:
                    type: string
                    description: Video size
                  error:
                    $ref: '#/components/schemas/OpenAIVideoError'
                  metadata:
                    type: object
                    description: Additional metadata
                    additionalProperties: true
                    properties: {}
                  remixed_from_video_id:
                    type: string
                    description: Source video ID (for remix operations)
                required:
                  - id
                  - object
                  - model
                  - status
                  - progress
                  - created_at
                  - seconds
          headers: {}
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    OpenAIVideoError:
      type: object
      description: OpenAI video error profile
      properties:
        message:
          type: string
          description: Error profile
        code:
          type: string
          description: Error code
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: Error profile
            type:
              type: string
              description: Error type
            param:
              type: string
              description: Related parameter
              nullable: true
            code:
              type: string
              description: Error code
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.